%global momorel 3

Summary: iRiver driver library
Name: libifp
Version: 1.0.0.2
Release: %{momorel}m%{?dist}
License: GPL
URL: http://ifp-driver.sourceforge.net/libifp/
Group: System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/ifp-driver/%{name}-%{version}.tar.gz d4114794b13bd32b6b767e0870df6fc4
Source1: %{name}.hotplug
Source2: 10-%{name}.rules
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libusb-devel >= 0.1.12

%description
libifp is a general-purpose library-driver for iRiver's iFP (flash-based)
portable audio players.

%package devel
Summary: Headers for developing programs that will use libifp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers for developing programs that will use libifp.

%prep
%setup -q

%build
export CPPFLAGS="%{optflags}"
%configure --with-libusb=%{_prefix}
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

# install libifp-hotplug
mkdir -p %{buildroot}/sbin
install -m 755 %{SOURCE1} %{buildroot}/sbin/libifp-hotplug

# install udev rules file
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/udev/rules.d/10-libifp.rules

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README TODO
%config(noreplace) %{_sysconfdir}/udev/rules.d/10-libifp.rules
/sbin/libifp-hotplug
%{_bindir}/ifpline
%{_libdir}/libifp.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/ifp.h
%{_libdir}/libifp.a
%{_libdir}/libifp.so
%{_mandir}/man3/ifp.h.3*

%changelog
* Sun Jan 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0.2-3m)
- get rid of *.la files

* Thu Jun 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0.2-2m)
- import libifp.hotplug and 10-libifp.rules from Fedora Core extras
 +* Thu Jul 14 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0.1-2
 +- Modified for new udev
 +* Thu Jul  7 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net>
 +- Added Per Bjornsson's hotplug files

* Sun May  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0.2-1m)
- version 1.0.0.2

* Tue Feb 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0.1-1m)
- initial package for amarok-1.4
